/**
 * @license Copyright 2012, Tridium, Inc. All Rights Reserved.
 */

/**
 * @fileOverview Run the Px app.
 * 
 * @author Logan Byam
 * @version 0.0.2
 */
require(['jquery', 'bajaux/bajaux.built.min'], function ($) {
  "use strict";

  $(document).on('mobileinit', function () {
    $.mobile.autoInitializePage = false;
    $.mobile.defaultPageTransition = 'slide';
  });

  require(['jquerymobile', 'mobile/px/px'], function (jqm, initializePx) {

    initializePx();
    jqm.initializePage();
  });
});
